## PkCategory PkCategory — Category object |

## Synopsis

                        PkCategoryPrivate;
                        PkCategory;
    PkCategory *        pk_category_new                     (void);

## Object Hierarchy

      GObject
       +----PkCategory

## Properties

      "cat-id"                   gchar*                : Read / Write
      "icon"                     gchar*                : Read / Write
      "name"                     gchar*                : Read / Write
      "parent-id"                gchar*                : Read / Write
      "summary"                  gchar*                : Read / Write

## Description

This GObject represents a category in the group system.

## Details

### PkCategoryPrivate

    typedef struct _PkCategoryPrivate PkCategoryPrivate;

Private PkCategory data

### PkCategory

    typedef struct _PkCategory PkCategory;

### pk_category_new ()

    PkCategory *        pk_category_new                     (void);

Returns : | a new PkCategory object.

## Property Details

### The `"cat-id"` property

      "cat-id"                   gchar*                : Read / Write

Default value: NULL

### The `"icon"` property

      "icon"                     gchar*                : Read / Write

Default value: NULL

### The `"name"` property

      "name"                     gchar*                : Read / Write

Default value: NULL

### The `"parent-id"` property

      "parent-id"                gchar*                : Read / Write

Default value: NULL

### The `"summary"` property

      "summary"                  gchar*                : Read / Write

Default value: NULL